﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

using LiveCharts.WinForms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Load += Form_Load;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            Dictionary<string, double> countryDictionary = new Dictionary<string, double>();

            countryDictionary["US"] = 143055; // 미국
            countryDictionary["IT"] = 97689;  // 이탈리아
            countryDictionary["ES"] = 85195;  // 스페인
            countryDictionary["CN"] = 82198;  // 중국
            countryDictionary["FR"] = 40723;  // 프랑스
            countryDictionary["IR"] = 38309;  // 이란
            countryDictionary["GB"] = 19788;  // 영국
            countryDictionary["KR"] = 9661;   // 한국
            countryDictionary["CA"] = 6320;   // 캐나다
            countryDictionary["JP"] = 2578;   // 일본

            GeoMap geoMap = new GeoMap();

            geoMap.Dock    = DockStyle.Fill;
            geoMap.HeatMap = countryDictionary;
            geoMap.Source  = $"{Application.StartupPath}\\World.xml";

            Controls.Add(geoMap);
        }

        #endregion
    }
}